Look up one number
curl --request GET \
--url https://mobileintelapi.com/api/v1/verify \
--header 'X-API-Key: <api-key>'import requests
url = "https://mobileintelapi.com/api/v1/verify"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://mobileintelapi.com/api/v1/verify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": "success",
"phone": "+14169670000",
"phone_valid": true,
"phone_type": "fixed_line",
"phone_region": "Toronto, ON",
"country": "Canada",
"country_code": "CA",
"country_prefix": "1",
"international_number": "+1 416-967-0000",
"local_number": "(416) 967-0000",
"e164": "+14169670000",
"carrier": "Bell Ontario",
"mode": "static",
"timezone": [
"America/Toronto"
],
"geographical": true,
"verdict": "valid",
"reasons": [
"allocated fixed_line block, clean pattern"
]
}{
"detail": "invalid or missing X-API-Key"
}{
"detail": [
{
"loc": [
"query",
"number"
],
"msg": "Field required",
"type": "missing"
}
]
}{
"detail": "key store unreachable, try again shortly"
}Lookup
Look up one number
Looks up one +1 number. Send it as E.164 with the plus URL-encoded (%2B1...), or as 10 bare digits.
GET
/
api
/
v1
/
verify
Look up one number
curl --request GET \
--url https://mobileintelapi.com/api/v1/verify \
--header 'X-API-Key: <api-key>'import requests
url = "https://mobileintelapi.com/api/v1/verify"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://mobileintelapi.com/api/v1/verify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": "success",
"phone": "+14169670000",
"phone_valid": true,
"phone_type": "fixed_line",
"phone_region": "Toronto, ON",
"country": "Canada",
"country_code": "CA",
"country_prefix": "1",
"international_number": "+1 416-967-0000",
"local_number": "(416) 967-0000",
"e164": "+14169670000",
"carrier": "Bell Ontario",
"mode": "static",
"timezone": [
"America/Toronto"
],
"geographical": true,
"verdict": "valid",
"reasons": [
"allocated fixed_line block, clean pattern"
]
}{
"detail": "invalid or missing X-API-Key"
}{
"detail": [
{
"loc": [
"query",
"number"
],
"msg": "Field required",
"type": "missing"
}
]
}{
"detail": "key store unreachable, try again shortly"
}Authorizations
Your API key from the dashboard.
Query Parameters
A +1 (NANP) number: +14169670000 (encode the + as %2B) or 4169670000.
Response
Lookup result.
Example:
"success"
The number you sent, normalised to E.164 when it is a valid +1 number.
Available options:
mobile, fixed_line, voip, toll_free, premium_rate, unknown Display format, like +1 416-967-0000.
Display format, like (416) 967-0000.
Normalised. Use this (or the input position) to match results.
The carrier the number block was first allocated to. Ported numbers can show the old carrier.
Example:
"static"
Available options:
valid, risky, invalid Why the verdict was given.